Page MenuHomePhabricator

Requests for addition to the #acl*Project-Admins group (in comments)
Open, Stalled, LowestPublic

Description

Description updated:

If you want to join #acl*Project-Admins, add a comment explaining your reasons. For instance, having to create sprint projects regularly is a good reason.

IMPORTANT: all project creators are responsible of maintaining the guidelines for creating and renaming projects.

Related Objects

Mentioned In
T263771: request for project creation rights for user lmata
T263463: Update the DBA task tracking workflow
T246484: Create Project: Section-Name-Diff
T233542: Error when creating a project
T224274: Can Create Projects privilege for the WMFI umbrella project for Susannaanas and Zache
T163999: Create a subproject and a private Space for Wikimedia Venezuela's Executive Director
T156480: Project Creation Rights - Seddon
T139210: Abandon (or at least strongly simplify) project creation policy
T136664: Create #Permanent tag
T128528: Use Conpherence for project-admins requests
T97273: Simpler process for Phabricator project creation
T97787: KSmith would like to be a Project Creator
T89053: unable to subscribe to operations tag after migration and merge from ops-core and ops-request
T75776: Create new team project: "Analytics-Engineering"
T75746: Rename Phabricator tag for "continuous integration" and create a "Zuul" tag
Project-Admins
T75769: Create a handful of services-related projects
T168: Port {{mw:Extension}}'s bugzilla section links to Phabricator
T1236: Create a 'services' project
T929: New project: "Wikimedia Incident Response"
T705: Approve the Phabricator project guidelines
Mentioned Here
T110408: Create an "Editing-Analysis" project for Editing Department product and data analysis questions
T162473: Create a 'New-Editor-Experiences' Phabricator project
T207425: Create project for SWAP
T214721: Create #pageviews-anomaly tag
T231455: Create a "Language-analytics" project under "Language-Team"
T247060: Create a wmfdata-python project
T159299: Deprecate and remove $wgUser
T213880: Cleaning up #Mediawiki-extensions-other
T162685: Create a #Bot-Frameworks project to track various high level Bots-related issues
T121470: Central Global Repository for Templates, Lua modules, and Gadgets
T120915: Connect/Link Phabricator/Maniphest projects to Diffusion repositories
T103700: LOG: Phabricator project creation
T85433: Using Phabricator for gadget-related tasks
T101485: Create numerous projects for Wikimedia Ukraine with WMUA- prefix
T43492: [DO NOT USE] Steward, global sysop and SWMT tasks bugs (tracking) [superseded by #Stewards-and-global-tools]
T110611: Create project for Wikipedia Education Program Collaborative
T213: Create projects for tasks whose non-English initial descriptions need translation?
T101117: Requesting access to create projects in Phab.
T97787: KSmith would like to be a Project Creator
T78754: Create §Collaboration-Team-Sprint-2014-12-17 sprint
T819: Restricting modification of tasks when they enter sprints

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

can you please add @Lena_WMDE to the acl*Project-Admins group?

Hi, I've added @Lena_WMDE. (Usual default disclaimer: Please follow the guidelines and project types - thanks!)

can you please add @Lena_WMDE to the acl*Project-Admins group?

Hi, I've added @Lena_WMDE. (Usual default disclaimer: Please follow the guidelines and project types - thanks!)

Thank you!

Hi, could you please add me to the acl*Project-Admins group? I am a PM with WMDE and will be creating projects on an ongoing basis.

Niharika removed a subscriber: Niharika.Mar 4 2020, 11:46 PM

I would like to be added to the project-admins to evaluate the options available to contributing to wikiversity community.

@Querl.dox.0000x: Hi, that is quite vague and does not require any project-admins permissions. Feel free to use the test instance instead.

Kizule added a subscriber: Kizule.EditedMar 8 2020, 6:36 PM

Hello, I would like to request this also. I want to help with creating projects when requested and etc.

In T706#5952355, @Zoranzoki21 wrote:

Hello, I would like to request this also. I want to help with creating projects when requested and etc.

I support this request. Active, trusted user.

I would like the ability to create projects to evaluate the tools available in the wikimedia community (VPS/toolforge/etc) vs outside resources.

Ainali removed a subscriber: Ainali.Mar 8 2020, 10:58 PM

@Querl.dox.0000x: That is too vague. Please bring this up on https://www.mediawiki.org/wiki/Talk:Phabricator/Help instead, and provide way more detail. Thanks.

JoeWalsh removed a subscriber: JoeWalsh.Mar 9 2020, 2:01 PM

@Aklapper, I would like the ability to create projects to help organize the work of my team (WMF Product Analytics) without needing to wait for help. Currently, no one on Product Analytics has this permission.

Here are projects I've requested in the past:

Additionally, here some other projects that were requested for what is now Product Analytics.

@Zoranzoki21, @nshahquinn-wmf: Hi, I have added you both. (Usual default disclaimer: Please follow guidelines and project types, and if unsure ask - thanks! :)

@Zoranzoki21, @nshahquinn-wmf: Hi, I have added you both. (Usual default disclaimer: Please follow guidelines and project types, and if unsure ask - thanks! :)

Thanks @Aklapper!

@Zoranzoki21, @nshahquinn-wmf: Hi, I have added you both. (Usual default disclaimer: Please follow guidelines and project types, and if unsure ask - thanks! :)

Thank you! What's the best place to ask questions like that? mw:Talk:Phabricator/Help?

Correct! :) That's also linked from the Phabricator front page.

@Aklapper I am the PM for the Inuka team at WMF. I would like the ability to create projects to help organize the work of the team. Kindly assist.

I'm a new Program Manager for the Inuka and Language teams and will need to create projects/subprojects for them regularly, including Milestones. Thank you so much!

@AMuigai: Hi, I have added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks! :)

Aklapper added a comment.EditedMar 21 2020, 3:26 PM

@Rileych: Hmm. Your Phabricator account is linked against a non-WMF SUL account so your statement is likely true but cannot be verified. :-/
Usually WMF OIT creates SUL accounts for new staff. Maybe this account was supposed to be used instead? (You could create a Developer/LDAP account, link it to your Phab account, then log out of Phab, use the LDAP account to log into Phab, then remove your non-WMF SUL account from your Phab account and add your WMF SUL account to your Phab account.)

My account has been updated to have a WMF account as SUL. Can I be given project creation rights now? Thank you!

@Rileych: Thanks! I have added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks! :)

CBogen added a subscriber: CBogen.Mar 30 2020, 8:14 PM

I'd like to request access to create projects as the new Program Manager for the Structured Data team, so that I can accommodate their requests for new tags, etc. Thank you!

AMuigai removed a subscriber: AMuigai.Mar 31 2020, 4:54 AM

@CBogen: I have added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!)

ARamirez_WMF added a subscriber: ARamirez_WMF.EditedApr 7 2020, 7:18 PM

Hi. I would like to ask to be added to #acl*Project-Admins because I'm the technical program manager for CommTech and Anti Harrassment Tools. I need to frequently create new projects and update herald rules for our projects. Not having to file a task every time I need a change would be great.

@ARamirez_WMF: Added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!)

FNDE added a subscriber: FNDE.May 3 2020, 10:50 AM

Hi team, I would love to get the permissions to create projects for larger user scripts and bot frameworks. Many thanks in advance.

In T706#6102684, @FNDE wrote:

Hi team, I would love to get the permissions to create projects for larger user scripts and bot frameworks. Many thanks in advance.

Has there been any discussions with these script authors or framework teams/authors if they want projects oh phabricator?

FNDE added a comment.May 3 2020, 12:22 PM
In T706#6102684, @FNDE wrote:

Hi team, I would love to get the permissions to create projects for larger user scripts and bot frameworks. Many thanks in advance.

Has there been any discussions with these script authors or framework teams/authors if they want projects oh phabricator?

Not yet. In fact, there is not really a team around me :) But I want to track projects properly and make them visible for other (possible) participants.

Aklapper added a comment.EditedMay 3 2020, 1:09 PM

@FNDE: Hi, please follow https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Creating_new_projects and create a specific project creation request ticket under Project-Admins. Thanks!

Jony added a comment.May 17 2020, 2:17 PM
In T706#5401808, @Jony wrote:

Hi, I'd like to be added to Project-Admins in to create sprint-projects for the Bengali-Sites and Wikidata.

@Aklapper could you please update.

Hi @Jony, sorry for the late reply. Please also see T706#5419426. Is there a continuous need to create projects? Also, Wikidata has some subprojects and sprints already. May I ask you to follow https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects and create two tasks (one for Wikidata and one for Bengali-Sites) to lay out what you would like to see and what you are after, so we can make sure not to duplicate potential existing efforts? Thanks! :)

Hi, I'm UX & Design lead at Wikimedia Germany and need to be able to create (sub)projects and milestones for our sprints. Thanks a lot for giving me the respective rights. Raja

@raja_wmde: I've added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!)

Hi! As a new Engineering Manager at Wikimedia Germany, I am asked to administrate projects, sub-projects and milestones for Fundraising Tech as well as Wikidata and help organize our project boards on a regular basis.

Zblace added a subscriber: Zblace.Jul 17 2020, 8:55 AM

Hi! I am doing coordination and organizing work in few (1 2 3 4 5 projects that could benefit from project management services for task listing and organizing. I would also want to start new projects on phabricator that are focused on interface and organization.

@Zblace: Hi, this doesn't sound recurring to me if I understand correctly, so could you please request projects (one per task) by following https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects , and if you need to regularly create more projects in the future, we can hand out this permission? :) Thanks a lot!

@conny-kawohl_WMDE: I've added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!

Hi, I'm the technical lead of the new product data engineering team and will need to set up a project board, organize subprojects and milestones, etc. Thanks!

greg added a comment.Jul 31 2020, 5:21 PM

@jlinehan added. Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!

Hey, I would like to setup a test project to try out some workflow improvements for phabricator.

This project will only be setup for test purposes, so I'll make sure to do my best and follow guidelines related to this so as not to cause any confusion.

greg added a comment.Aug 21 2020, 5:38 PM

@jbolorinos-ctr added. Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!

(@jbolorinos-ctr: Maybe https://phab.wmflabs.org/ (test instance, when it is not down) might be sufficient, but not sure when it comes to user permissions.)

Naike added a subscriber: Naike.Sep 7 2020, 4:33 PM

Hi, I'm a senior project manager at the Wikimedia Foundation. I'd like to ask the right to create projects, subprojects, and milestones. I currently have to ask my team members to create projects on my behalf and would like to do so independently.

@Naike: I've added you. (Usual default disclaimer: Please follow guidelines and project types, and if unsure please ask - thanks!

I'm a product manager with the Platform team at the Wikimedia Foundation. My colleague @CCicalese_WMF used to do all our project tags, but since she's become an engineer again, I'd like to continue that work. I can coordinate with @Naike.

@eprodromou: I've added you. Usual default disclaimer: Please follow guidelines (naming, project description, project type), and if unsure please ask - thanks!

Hi, our team (SRE Data Persistance) is adding some complexity to our project tracking so I would appreciate if I could get the permissions necessary to create tags.

@LSobanski: I've added you. Usual default disclaimer: Please follow guidelines (naming, project description, project type), and if unsure please ask - thanks!

lmata added a subscriber: lmata.Sep 24 2020, 5:02 PM

Hi I need to be able to add milestones and tags for the (SRE Observability) work streams around the observability work-board and project

@lmata : Done.

I guess I should be repeating @Aklapper's disclaimer: Please follow guidelines (naming, project description, project type), and if unsure please ask - thanks!

lmata added a comment.Sep 24 2020, 5:06 PM

Thanks! I'll be careful :-)

lmata added a comment.EditedOct 5 2020, 4:51 AM

Hello @mmodell

I do not see myself on the list for acl*Project-Admins. It is likely I have missed some steps. please advise as to what I should do, thanks!

I'd like to be able to create components for Growth Team projects.

@lmata: Eh, looks like something went wrong. Fixed, sorry!

@kostajh: I've added you. Usual default disclaimer: Please follow guidelines (naming, an understandable project description, project type), and if unsure please ask - thanks!

Hello, I'd like to request project adminship, to help me manage my projects better, as well as to help others who need a project. I'm familiar with the guidelines, and I'll ask when necessary. Thanks!

Hi @Aklapper, please I'd like to request access to create projects as I want to use Wikimedia phabricator to manager our affiliate (Igbo Wikimedians User Group) projects.
Thank you.